LSNS(8)

NUME
lsns - listează spațiile de nume

REZUMAT

lsns [opțiuni] [ID spațiu-nume]

DESCRIERE

lsns listează informații despre toate spațiile de nume accesibile în prezent sau despre spațiu-nume dat. Identificatorul spațiu-nume este un număr de nod-i.

Rezultatele implicite pot fi modificate. Așadar, ori de câte ori este posibil, ar trebui să evitați să utilizați ieșirile implicite în scripturile dumneavoastră. Definiți întotdeauna în mod explicit modul de ieșire așteptat (--tree sau --list) și coloanele prin utilizarea opțiunii --output împreună cu o listă de coloane în mediile în care este necesară o ieșire stabilă.

Coloana NSFS, afișată atunci când se specifică net pentru opțiunea --type, este specială; utilizează celule pe mai multe rânduri. Folosiți opțiunea --nowrap pentru a trece la reprezentarea pe o singură linie separată prin „,”.

Rețineți că lsns citește informații direct din sistemul de fișiere /proc și pentru utilizatorii care nu sunt superutilizatori poate returna informații incomplete. Sistemul de fișiere /proc curent poate fi nepartajat și afectat de un spațiu de nume PID (a se vedea unshare --mount-proc pentru mai multe detalii). lsns nu este capabil să vadă spațiile de nume persistente fără procese în cazul în care instanța spațiului de nume este deținută de un proces «mount bind» la /proc/pid/ns/tip.

OPȚIUNI

-H, --list-columns
    Listează coloanele care pot fi specificate cu opțiunea --output. Poate fi utilizată împreună cu --json sau --raw pentru a obține o listă în format care poate fi citit de către mașină.

-J, --json
    Utilizează formatul de ieșire JSON.

-l, --list
    Utilizează formatul de ieșire al listei.

-n, --noheadings
    Nu imprimă o linie de antet.

-o, --output listă
    Specifică ce coloane de ieșire se vor imprima. Utilizați --help pentru a obține o listă cu toate coloanele acceptate.

    Lista implicită de coloane poate fi extinsă dacă lista este specificată în formatul +listă (de exemplu, lsns -o +PATH).

--output-all
    Afișează toate coloanele disponibile.

-P, --persistent
    Afișează numai spațiile de nume fără procese (denumite și spații de nume persistente), create prin asocierea montării fișierelor /proc/pid/ns/tip la o rută a sistemului de fișiere.

-p, --task PID
    Afișează numai spațiile de nume deținute de procesul cu acest PID.

-Q, --filter expresia
    Afișează numai spațiile de nume care îndeplinesc condițiile specificate de expr.

    Această caracteristică este EXPERIMENTALĂ. A se vedea, de asemenea, scols-filter(5). De exemplu, exclude root ca nume de utilizator, dar imprimă toate spațiile de nume cărora le aparține mai mult de un proces:

        lsns --filter 'USER != "root" and NPROCS > 1'

-r, --raw
    Utilizează formatul de ieșire brut.

-t, --type tip
    Afișează numai tipul de spații de nume specificat. Tipurile acceptate sunt mnt, net, ipc, user, pid, uts, cgroup și time. Această opțiune poate fi dată de mai multe ori.

-u, --notruncate
    Nu trunchiază textul din coloane.

-W, --nowrap
    Nu utilizează text pe mai multe rânduri în coloane.

-T, --tree[=relația]
    Utilizează un format de ieșire de tip arbore. Dacă process este dat ca relația, imprimă arborele (arborii) de procese în fiecare spațiu de nume. Aceasta este opțiunea implicită atunci când nu se specifică --tree. Dacă se indică parent, se tipăresc arborele (arborii) construit(i) prin relația părinte/copil. Dacă se indică owner, se imprimă arborele (arborii) construit(i) prin relația proprietar/proprietar. owner este utilizat ca valoare implicită atunci când argumentul relația este omis.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

STARE DE IEȘIRE

Instrumentul lsns iese cu una dintre următoarele valori:

0
    Succes.

1
    Eroare generală.

2
    Un ioctl era necunoscut nucleului.

MEDIU

LSNS_DEBUG=all
    activează ieșirea de depanare a lsns.

LIBSMARTCOLS_DEBUG=all
    activează ieșirea de depanare a libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    utilizează caractere de umplutură vizibile.

AUTORI

CONSULTAȚI ȘI

nsenter(1), unshare(1), clone(2), namespaces(7), ioctl_ns(2), ip-netns(8), scols-filter(5)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda lsns face parte din pachetul util-linux care poate fi descărcat de la